Unclaim a content change
curl --request POST \
--url https://devtune.ai/api/v2/projects/{projectId}/outcomes/changes/unclaim \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"changeEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claimToken": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://devtune.ai/api/v2/projects/{projectId}/outcomes/changes/unclaim"
payload = {
"changeEventId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"claimToken": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
changeEventId: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
claimToken: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://devtune.ai/api/v2/projects/{projectId}/outcomes/changes/unclaim', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"actionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"interventionId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"meta": {
"timestamp": "2023-11-07T05:31:56Z",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}{
"error": "<string>",
"message": "<string>",
"status": 123
}Endpoints
Unclaim a content change
Reverses only an unchanged manual claim using its current claimToken. Archives the action and excludes the retained measurement from totals. Preserves history. Returns 409 for stale tokens, edited or linked work, automatic attribution, or claims without reversible history.
POST
/
projects
/
{projectId}
/
outcomes
/
changes
/
unclaim
Unclaim a content change
Authorizations
API key with dtk_live_ prefix. Obtain it from API Keys in the account sidebar. New keys start with all supported scopes selected for the chosen project, and you can narrow them to specific read/write scopes as needed.